## com.saxonica.ptree
Class PTreeReader.PTreeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      com.saxonica.ptree.PTreeReader.PTreeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  PTreeReader

    public static class PTreeReader.PTreeException

extends XPathException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`PTreeReader.PTreeException(java.lang.String s)`

Method Summary

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, getXPathContext, hasBeenReported, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetLocation, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsStaticError, setIsTypeError, setXPathContext`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PTreeReader.PTreeException

    public PTreeReader.PTreeException(java.lang.String s)

Copyright (c) Saxonica Limited. All rights reserved.